표준 등각투영(Std Viewisometric)

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewIsometric and the translation is 86% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский • ‎한국어

Std ViewIsometric.svg 표준 등각투영

메뉴 위치
보기 → 표준 보기 → Axonometric → Isometric
작업대
모두
기본 단축키
0
도입 버전
-
참조
표준 등각투영, 표준 삼각투영

설명

표준 등각투영(Std ViewIsometric) 명령은 3D 보기의 카메라를 재조정하여 등각투영(isometric) 보기 각도로 전환합니다. 진정한 등각투영(isometric) 보기를 하려면 3D 보기가 직교투영(orthographic) 모드이어야 하지만 이 명령은 원근투영(perspective) 모드일 때도 작동합니다.

Std ViewIsometric example.svg

등각투영(isometric) 일 때 좌표축과 육면체

용법

  1. 이 명령을 실행하는 방법은 여러 가지입니다:
    • Std ViewIsometric.svg 표준 등각투영 버튼을 누릅니다.
    • 메뉴에서 보기 → 표준 보기 → Axonometric → Std ViewIsometric.svg Isometric 옵션을 선택합니다.
    • 3D 보기의 상황에 맞는 메뉴에서 표준 보기 → Std ViewIsometric.svg Isometric 옵션을 선택합니다.
    • 단축키를 사용합니다: 0.

비고

  • 네비게이션 큐브의 미니-큐브 메뉴를 이용하여 등각투영(isometric) 각도로 변경할 수도 있습니다.

스크립트

참조: FreeCAD 스크립트 기초.

등각투영(isometric) 보기로 변경하려면 ActiveView 객체의 viewIsometric 메소드를 사용하십시오. 이 메소드는 FreeCAD가 콘솔 모드일 때는 사용할 수 없습니다.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()